Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Strong Hee

Tìm Giao Điểm Của 2 Đường Cong, Hoặc Đương Cong Và Đường Thẳng ... ?

Các bài được khuyến nghị

Xin Chào,

 

Các bạn trong Cadviet có bạn nào biết Mã lisp nào để lấy giao điềm Của 2 đường cong hay là đường thảng và đường cong không, cho mình Xin với.

Mình tìm Rất nhiều rồi mà không thấy, bữa nay hết cách nên xin ý kiến các tiền bối đi trước.

 

Mình Cảm ơn.

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn anh Hà.

nhưng sao em làm không được.

VD : (setq Diem (vla-IntersectWith (entsel) (entsel)))

 nghĩa là Biến Diem là giao điểm của (entsel) và (entsel). nhưng không được anh ơi  :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nó báo lỗi thế này anh ơi :

 error: bad argument type: VLA-OBJECT (<Entity name: 7ef24640> (23851.8 10767.7 0.0))

mặc dù em đã thêm dòng lênh (vl-load-com) ở đầu chương trình.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu bạn mới vô nghề thì hơi khó. Nghiên cứu xem:

;Get intersection of ent1 & ent2, by flag (flags: acExtendNone ; acExtendThisEntity ; acExtendOtherEntity ; acExtendBoth).
(defun Inter2Ent(ent1 ent2 flag / l r)
 (setq l (vlax-invoke (vlax-ename->vla-object ent1) 'intersectwith (vlax-ename->vla-object ent2) flag))
 (repeat (/ (length l) 3)
  (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l)))
 (reverse r))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×